Apple Mac OS X 10.x AirPort Wireless Driver Multiple Buffer Overflow Vulnerabilities



source: http://www.securityfocus.com/bid/20144/info


The Apple Mac OS X AirPort wireless driver is prone to multiple buffer-overflow vulnerabilities because it fails to perform sufficient bounds checking before copying data to finite-sized buffers.

An attacker can exploit these issues to have arbitrary machine code execute with kernel-level privileges. One of the issues allows code execution in the context of an application using the wireless API. This may lead to denial-of-service conditions or the complete compromise of the affected computer.

https://github.com/offensive-security/exploit-database-bin-sploits/raw/master/sploits/28643.zip